> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 지갑 - 최초 입금 거래

> 하나 이상의 지갑에 대한 최초 입금 트랜잭션 조회



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/wallet/{chain}/first-tx
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/wallet/{chain}/first-tx:
    get:
      tags:
        - Wallet
      summary: 지갑 - 최초 입금 트랜잭션
      description: 하나 이상의 지갑에 대한 최초 입금 트랜잭션 조회
      operationId: get.wallet.first.tx
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddresses
          in: query
          description: 쉼표(,)로 구분된 지갑 주소 목록. 최대 100개의 지갑 주소 허용
          required: true
          schema:
            type: string
          example: >-
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx,FrxXcJ1uUHa9A5jxgNFBxT4bHBnFVQZbxJa2Je3gjotP
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletsMapResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    WalletsMapResponse:
      type: object
      required:
        - wallets
      properties:
        wallets:
          type: object
          description: 지갑 주소별 최초 트랜잭션 정보 매핑
          additionalProperties:
            $ref: '#/components/schemas/WalletFirstTx'
          propertyNames:
            type: string
          example:
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx:
              balanceChange: '0'
              blockNumber: 398645949
              blockTime: 1717292678000
              decimals: 9
              tokenAddress: '11111111111111111111111111111111'
              txHash: 5rG9igZk95gbS8ZG66upvRfbcaaDpokQYg4ny3WQ3DrA...
    WalletFirstTx:
      type: object
      description: Wallet first transaction summary
      required:
        - txHash
        - blockTime
        - blockNumber
        - balanceChange
        - tokenAddress
        - decimals
      properties:
        balanceChange:
          type: string
          description: 최초 트랜잭션의 잔액 변동
          example: '0'
        blockNumber:
          type: integer
          format: int64
          description: 블록 번호
          example: 398645949
        blockTime:
          type: integer
          format: int64
          description: 블록 타임스탬프 (밀리초)
          example: 1717292678000
        decimals:
          type: integer
          format: int32
          description: 토큰 소수점 자릿수
          example: 9
        tokenAddress:
          type: string
          description: 토큰 컨트랙트 주소
          example: '11111111111111111111111111111111'
        txHash:
          type: string
          description: 최초 입금 트랜잭션 해시
          example: 5rG9igZk95gbS8ZG66upvRfbcaaDpokQYg4ny3WQ3DrA...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````